package adi.service;

import adi.model.ADIUser;
import common.model.*;

import java.util.List;
import java.util.Map;

/**
 * Created by mxq on 2017/12/26.
 */
public interface ADIAccountService {
    Map<String, Object> findSale(User user, Long sale);

    Map<String, String> findSale(String email);

    IOAccount4Web updateSale(String email, String account);

    List<ADIUser> findAll(User user);

    ADIUser findOne(String email);

    List<ReminderLevel> findReminderlevel();

    void updateAccount(Contract contract);
    //催款提醒关闭
    PressMoney forbidenPress(User user, PressMoney resource);

    //催款提醒开启
    PressMoney enablePress(User user, PressMoney resource);

    //回访
    BackVisit visit(User user, BackVisit resource);


    List<BackVisit> findVisit(Long account, String startDate, String endDate);

    List<ContractMoney> findPay(String email, String startDate, String endDate);

    List<Contract> findContract(String email);

    List<Contract> findContractChange(String email, String startDate, String endDate);



}
